package com.zswl.dataservicestarter.domain;

import com.zswl.dataservicestarter.type.AppState;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.DBRef;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 用户认证账户信息
 *
 * @author TRX
 * @date 2024/3/21
 */
@Data
@Document
@NoArgsConstructor
@AllArgsConstructor
public class AppInfo extends SuperEntity {
    /**
     * 渠道ID
     */
    @DBRef
    private String entId;
    /**
     * appSecret
     */
    private String appSecret;
    /**
     * 应用ID
     */
    private String appId;
    /**
     * 账户状态
     */
    private AppState appState;
}
